<?php
include_once 'sys/inc/start.php';
$doc = new document(1);
$doc->title = 'Смена пароля';

if (isset($_POST['save']))
{

if (isset($_POST['password_old']) && $crypt->hash($_POST['password_old'])==$user->password)
{
if (isset($_POST['password_new1']) && isset($_POST['password_new2']))
{
if ($_POST['password_new1']!==$_POST['password_new2'])$doc->err('Пароли не совпадают');
elseif(!is_valid::password($_POST['password_new1']))$doc->err('Не корректный новый пароль');
else
{
setcookie(COOKIE_USER_PASSWORD, crypt::cookie_encrypt($_POST['password_new1']), time()+60*60*24*365);
$user->password=crypt::hash($_POST['password_new1']);
$doc->msg('Пароль успешно изменен');
}
}
}
else $doc->err('Старый пароль неверен');
}


$form = new design();
$form->assign('method','post');
$form->assign('action','?'.passgen());
$elements=array();

$elements[]=array('type'=>'password', 'title'=>'Старый пароль', 'br'=>1,
'info'=>array('name' => 'password_old','value'=>''));

$elements[]=array('type'=>'password', 'title'=>'Новый пароль', 'br'=>1,
'info'=>array('name' => 'password_new1','value'=>''));

$elements[]=array('type'=>'password', 'title'=>'Подтверждение', 'br'=>1,
'info'=>array('name' => 'password_new2','value'=>''));

$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'save', 'value'=>'Применить')); // кнопка
$form->assign('el',$elements);
$form->display('input.form.tpl');

$doc->ret('Личное меню','/menu.user.php');

?>
